
#include "strings.h"
#include "extname.h"
#include "cast.decl.h"

extern "C" void chunk1(int *width, int *height, char **data, double *b);

#define NUM_TIMESTEPS 10

class DataMsg : public CMessage_DataMsg {
public:
  int x, y;
  double b[200]; // border up to 200 elements can be sent. use varsize later.
};


class main : public Chare {
private:
  double t0;	// starting time

public:
  main(CkArgMsg *m);
  void allDone(CkQdMsg *);
};


class cast: public Chare {
private:
  char data[50];
  int x, y;

public:
   cast(DataMsg *m);
};

